/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package session;

import entities.CompteBancaire;
import java.util.List;
import javax.ejb.Stateless;
import javax.ejb.LocalBean;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author mbuffa
 */
@Stateless
@LocalBean
public class GestionnaireDeCompteBancaires {

    @PersistenceContext
    private EntityManager em;

    // Add business logic below. (Right-click in editor and choose
    // "Insert Code > Add Business Method")
    public void creerCompte(CompteBancaire c) {
        // insert dans la base du compte c
        persist(c);
    }

    public void creerComptesTest() {
        creerCompte(new CompteBancaire("John Lennon", 150000));
        creerCompte(new CompteBancaire("Paul McCartney", 950000));
        creerCompte(new CompteBancaire("Ringo Starr", 20000));
        creerCompte(new CompteBancaire("Georges Harrisson", 100000));
    }

    public List<CompteBancaire> findAll() {
        // equivalent d'un select *
        Query q = em.createQuery("select c from CompteBancaire c");
        // Renvoie la liste des resultats
        return q.getResultList();
    }
    
        public List<CompteBancaire> findRange(int start, int nb) {
        // equivalent d'un select *
        Query q = em.createQuery("select c from CompteBancaire c");
        q.setFirstResult(start);
        q.setMaxResults(nb);
        
        // Renvoie la liste des resultats
        return q.getResultList();
    }
    
    public void persist(Object object) {
        em.persist(object);
    }
}
