/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jsf;

import entities.CompteBancaire;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import javax.inject.Named;
import javax.faces.view.ViewScoped;
import session.GestionnaireDeCompteBancaires;

/**
 *
 * @author mbuffa
 */
@Named(value = "comptesMBean")
@ViewScoped
public class ComptesMBean implements Serializable {

    @EJB
    private GestionnaireDeCompteBancaires gc;
    private List<CompteBancaire> listeComptes = new ArrayList();

    public List<CompteBancaire> getComptes() {
        System.out.println("JSF GET COMPTES");
        if (listeComptes.isEmpty()) {
            rafraichitLeCache();
        } else {
            System.out.println("ON UTILISE LES DONNES CACHEES");
        }
        return listeComptes;
    }

    public void rafraichitLeCache() {
             System.out.println("JE REGENERE LE CACHE");
            listeComptes = gc.findAll();
       
    }
    /**
     * Creates a new instance of ComptesMBean
     */
    public ComptesMBean() {
    }

    // ACTION METHODS, appelées par des boutons ou des events
    public String creerDonneesDetest() {
        System.out.println("JSF BEAN CREATION DE TEST");

        // si pas de return, la page d'appel est re-affichée
        gc.creerComptesTest();
        rafraichitLeCache();
        return "index?faces-redirect=true";
    }

}
